<template>
  <div class="PersonnelTalents_unitPersonnel--warp">
    <div class="PT_unitPersonnel--table">
      <el-table
        max-height="640"
        :data="tableData"
        :header-cell-style="handleheader"
        stripe
        border
        style="width: 100%">
        <el-table-column
          align="center"
          prop="date"
          label="指标名称"
          fixed="left"
          width="220">
        </el-table-column>
        <el-table-column
          prop="name"
          align="center"
          label="去年完成"
          width="180">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="1月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="2月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="3月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="4月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="5月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="6月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="7月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="8月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="9月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="10月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="11月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="12月">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="省厅计划">
        </el-table-column>
        <el-table-column
          prop="address"
          align="center"
          label="当前完成率"
          width="160">
        </el-table-column>
      </el-table>
      <div class="PT--Echarts"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: "PersonnelTalents_UnitPersonnel"
}
</script>
<style lang="scss">
@import "../../../../assets/css/base";
.PT_unitPersonnel--table{
  .el-table tr{
    background-color: #CEF2FF;
  }
  .el-table th.el-table__cell{
    background-color: #51D2FF;
  }
  .el-table__fixed, .el-table__fixed-right,.el-table__fixed-right::before, .el-table__fixed::before{
    background-color: #51D2FF;
  }
  .el-table--striped .el-table__body tr.el-table__row--striped td.el-table__cell{
    background-color: #A8E9FF;
  }
  .el-table thead{
    color: #111111;
  }
  .el-table td.el-table__cell, .el-table th.el-table__cell.is-leaf{
    border-bottom: 1Px solid #8E8E8E;
  }
  .el-table--border .el-table__cell, .el-table__body-wrapper .el-table--border.is-scrolling-left~.el-table__fixed{
    border-right: 1Px solid #8E8E8E;
  }
  .el-table .el-table__cell{
    padding: 0.0859375rem  /* 22/256 */ 0;
  }
  .el-table__body tr.hover-row.current-row>td.el-table__cell, .el-table__body tr.hover-row.el-table__row--striped.current-row>td.el-table__cell, .el-table__body tr.hover-row.el-table__row--striped>td.el-table__cell, .el-table__body tr.hover-row>td.el-table__cell{
    background: transparent;
  }
  .el-table .cell{
    font-size: $fontSize-28;
    color: $color-darkGrey;
    font-weight: 300;
    line-height: 1;
  }
}
</style>
<style lang="scss" scoped>
@import "../../../../assets/css/base";
.PersonnelTalents_unitPersonnel--warp{
  width: 100%;
  height: 100%;
  .PT_unitPersonnel--table{
    width: 100%;
    height: 100%;
    position: relative;
  }
  .PT--Echarts{
    height: calc(100% - 640px - 0.33203125rem  /* 85/256 */);
  }
}
</style>
